Subject: Dynamic Object Container does not support scope session
Description

This ends up in a duplication of session objects that are beeing injected before the static object container is built.

So in my eyes there are two things to do:

    -  Implement session support for the dynamic object container
    -  initialize the session before the object container in the FLOW3 bootstrap

History
#1 - 2010-05-28 14:16 - Karsten Dambekalns

Andreas Förthner:
ich hab das bisher nur debugged und festgestellt, dass ganz am anfang wenn mein persistence aspekt schon die session verwenden will oft noch
keine da ist weil der dynamic container diese nicht unterstützt, ob das dann schon das gesamte problem löst bin ich mir nicht sicher
also was ich bräuchte wäre eine funktionierende session sobald der erste persistence query abgesetzt wird, ich glaube dazu muss man auch die
bootstrap reihenfolge noch etwas anpassen. Du kannst mal schaun was mit deiner session so passiert, bei mir hat er auch gerne mal zwei sessions
aufgemacht und im zweifelsfall dann die falsche weiterverwendet

#2 - 2010-05-28 17:42 - Robert Lemke
- Target version deleted (1.0 alpha 9)

#3 - 2010-08-31 20:53 - Sebastian Kurfuerst

+1, we really need this also for the widgets -- I just spent a few hours because of this.

Greets,
Sebastian

#4 - 2010-09-01 09:54 - Sebastian Kurfuerst

just forget my last comment, it was a missing @transient on my side which caused the problem... So it's working beautifully :)

#5 - 2010-12-20 16:43 - Karsten Dambekalns
- Status changed from New to Needs Feedback

#6 - 2010-12-20 17:22 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed
- Target version set to 1.0 alpha 14

I consider this obsolete now. If needed, reopen.
